/* Footer outer */
footer {
    width: 100%;
    padding: 16px;
}

.cb-footer {
    width: 100%;
    background: #000;
    padding-top: 50px;
    padding-bottom: 40px;
    padding-inline: 16px;
    border-radius: 16px;
}
.cb-footer.has-bg {
    background-color: #000;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: var(--cb-footer-bg);
}
.cb-footer__inner {
    max-width: 1300px;
    width: 100%;
    margin: 0 auto;
}

.cb-footer__grid {
    display: grid;
    grid-template-columns: 172px 1fr;
    align-items: start;
    gap: 24px;
}

/* Brand column */
.cb-footer__brand {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.cb-footer__logo {
    width: 100%;
    height: auto;
    display: block;
}
.cb-footer__cta {
    margin-top: 28px;
    color: #fff;
    font-size: 12px;
    line-height: 16px;
    text-transform: uppercase;
}
.cb-footer__socials {
    margin-top: 24px;
    display: flex;
    align-items: center;
    gap: 12px;
}
.cb-footer__social {
    display: inline-flex;
    width: auto;
    height: auto;
    padding: 9.5px;
    border: 1px solid #fff;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
}
.cb-footer__social img {
    width: 11px;
    height: 11px;
}

/* Right group: 4 columns */
.cb-footer__cols {
    display: grid;
    grid-template-columns: repeat(4, minmax(171px, 227px));
    gap: 40px;
    justify-content: end;
}
.cb-footer__col {
    display: flex;
    flex-direction: column;
}
.cb-footer__col-title {
    color: #fff;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px;
    text-transform: capitalize;
    margin: 0 0 12px 0;
}
.cb-footer__menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.cb-footer__menu li a {
    display: flex;
    align-items: start;
    color: #fff;
    font-size: 14px;
    line-height: 22px;
    transition: all .2s ease;
    text-decoration: underline;
    text-decoration-color: transparent;
    text-underline-offset: 4px;
}
.cb-footer__menu li a:hover,
.cb-footer__menu li a:active {
    text-decoration-color: #8D0F10;
}
.cb-footer__menu li a::before {
    content: "";
    flex-shrink: 0;
    display: inline-block;
    width: 20px;
    height: 20px;
    background: url("../svg/arrow-right-red.svg") no-repeat center / contain;
    margin-right: 4px;
    margin-block: 1px;
}

/* Partners row */
.cb-footer__partners {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.cb-footer__partners img {
    height: 24px;
    width: auto;
    margin: 12px 16px;
}

/* Notice row */
.cb-footer__notice {
    margin-top: 40px;
    display: flex;
    padding: 16px 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-radius: 64px;
    border: 1px solid #dfdfdf;
    background: #000;
}
.cb-footer__notice-title {
    color: #fff;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    margin: 0;
}
.cb-footer__notice-text {
    color: #fff;
    text-align: center;
    font-size: 12px;
    font-style: italic;
    line-height: 16px;
    margin: 0;
}

@media (max-width: 1365px) {
    .cb-footer__cols {
        grid-template-columns: repeat(2, minmax(171px, 227px));
        justify-content: space-evenly;
    }
}

@media (max-width: 767px) {
    footer {
        padding: 0px;
    }

    .cb-footer {
        padding: 24px 16px;
        border-radius: 0;
    }
    .cb-footer.has-bg {
        background-image: var(--cb-footer-bg-mobile, var(--cb-footer-bg));
        background-size: auto;

        background-position: top left;
    }
    .cb-footer__grid {
        grid-template-columns: 1fr;
    }
    .cb-footer__brand {
        display: grid;
        grid-template-columns: auto 1fr;
        align-items: center;
        row-gap: 24px;
    }
    .cb-footer__logo {
        grid-column: 1;
        grid-row: 1;
        height: 47px;
        width: auto;
    }
    .cb-footer__socials {
        grid-column: 2;
        grid-row: 1;
        justify-content: flex-end;
        align-items: flex-start;
        margin-top: 0;
    }
    .cb-footer__cta {
        grid-column: 1 / span 2;
        grid-row: 2;
        margin-top: 0;
        text-align: center;
    }
    .cb-footer__cols {
        grid-template-columns: 1fr 1fr;
        gap: 16px;
        justify-content: start;
    }
    .cb-footer__menu {
        gap: 16px;
        max-width: 227px;
    }
    .cb-footer__menu li a {
        align-items: start;
    }
    .cb-footer__col-title {
        max-width: 227px;
        margin-bottom: 20px;
        font-size: 17px;
    }
    .cb-footer__partners {
        margin-top: 24px;
        gap: 4px;
        flex-wrap: wrap;
    }
    .cb-footer__notice {
        margin-top: 24px;
        padding: 16px;
        border-radius: 8px;
        border: 1px solid #dfdfdf;
        background: #000;
        width: 100%;
    }
    .cb-footer__notice-text {
        line-height: 14px;
    }
}
